Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class AbstractRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer

All Implemented Interfaces:
  Renderer

Direct Known Subclasses:
  CSVRenderer, EmacsRenderer, HTMLRenderer, IDEAJRenderer, PapariTextRenderer, SummaryHTMLRenderer, TextPadRenderer, TextRenderer, VBHTMLRenderer, XMLRenderer, YAHTMLRenderer

public abstract class AbstractRenderer
extends java.lang.Object
implements Renderer

Field Summary
`protected boolean` | `showSuppressedViolations`

Constructor Summary
`AbstractRenderer()`

Method Summary
`abstract java.lang.String` | `render(Report report)`
`void` | `showSuppressedViolations(boolean show)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### showSuppressedViolations

    protected boolean showSuppressedViolations

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### showSuppressedViolations

    public void showSuppressedViolations(boolean show)

  Specified by:
    `showSuppressedViolations` in interface `Renderer`

### render

    public abstract java.lang.String render(Report report)

  Specified by:
    `render` in interface `Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.